#### Description:

This function returns a flag indicating if the KeyMap contains an entry with the given key.

#### Synopsis

int astMapHasKey( AstKeyMap ∗this, const char ∗key )

#### Parameters:

##### this

Pointer to the KeyMap.

##### key

The character string identifying the KeyMap entry. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.

#### Returned Value

##### astMapHasKey()

Non-zero if the key was found, and zero otherwise.

#### Notes:

- A non-zero function value is returned if the key exists but has an undefined value (that is, the returned value does not depend on whether the entry has a defined value or not). See also astMapDefined, which returns zero in such a case.

- A function value of zero will be returned if an error has already occurred, or if this function should fail for any reason.

Copyright (C) 2021 East Asian Observatory